Package: org.gradle.plugins.ide.idea.model

## [Groovy] Class PathFactory

- org.gradle.plugins.ide.idea.model.PathFactory

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `PathFactory` | `addPathVariable(String name, File dir)`
    `FilePath` | `path(File file)` Creates a path for the given file.
    `Path` | `path(String url)` Creates a path for the given URL.
    `Path` | `path(String url, String relPath)` Creates a path for the given URL.
    `FilePath` | `relativePath(String pathVar, File file)` Creates a path relative to the given path variable.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### PathFactory addPathVariable(String name, File dir)

    - #### FilePath path(File file)

      Creates a path for the given file.

    - #### Path path(String url)

      Creates a path for the given URL.

    - #### Path path(String url, String relPath)

      Creates a path for the given URL.

    - #### FilePath relativePath(String pathVar, File file)

      Creates a path relative to the given path variable.